import random
import time
L = random.sample(range(1,10**9),10**7)
L.sort()

# binary search
from binary_search import binary_search
time_start = time.time()
print(f"binary search start: {time.asctime(time.localtime(time_start))}")
index = binary_search(L, -1)
time_finish = time.time()
print(f"binary search end:   {time.asctime(time.localtime(time_finish))}")

binary_search_time = time_finish-time_start
print(f"binary_search time taken: {binary_search_time} seconds")

# linear search
from linear_search import linear_search

time_start = time.time()
print(f"linear search start: {time.asctime(time.localtime(time_start))}")
index = linear_search(L, -1)
time_finish = time.time()
print(f"linear search end:   {time.asctime(time.localtime(time_finish))}")

linear_search_time = time_finish-time_start
print(f"linear_search time taken: {linear_search_time} seconds")

print(f"binary_search is {linear_search_time/binary_search_time:.0f} faster than linear_search")